%define ver	031220
%define	name	links-hacked
%define	release	%mkrel 22

Summary:	Lynx-like text WWW browser
Name:		%{name}
Version:	0.0.%{ver}
Release:	%{release}
License:	GPL
Group:		Networking/WWW
Source0:	%{name}-%{ver}.tar.bz2
Source1:	links-16.png
Source2:	links-32.png
Source3:	links-48.png
Source4:        links.cfg
# links fonts (overriding links-hacked ones):
Source5:	links-fonts-new.tar.bz2
Patch7:		links-0.96-no-domain-security.patch
Patch8:		links-current-color-by-default--and-vt100-frames.patch
Patch10:	links-2.0pre1-be-graphic-when-called-_links-graphic_.patch
Patch11:	links-hacked-030620-convert-old-bookmarks-in-new-format.patch
Patch12:	links-hacked-030620-fix-default-charset.patch
Patch13:	links-hacked-030709-config-file.patch
Patch15:	links-hacked-031220-gcc34.patch
Patch16:	links-hacked-031220-lua5.patch
Patch17:	links-hacked-031220-lua5compil.patch
Patch18:	links-hacked-031220-gcc401.patch
URL:		http://xray.sai.msu.ru/~karpov/links-hacked/
BuildConflicts: libsvgalib1-devel
BuildRequires:	gpm-devel ncurses-devel png-devel jpeg-devel lua-devel >= 5.0.2-9mdk
BuildRequires:	ncurses-devel => 5.0 
BuildRequires:	freetype2-devel tiff-devel directfb-devel
BuildRequires:	openssl-devel
BuildRequires:  automake1.7
BuildRequires:  X11-devel
Provides:	webclient
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Links is a text based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

Links-hacked is based on top of links and offer the below features:
- Lua scripting
- HTTP Auth - stable, ported form Elinks 
- Blocking of selected images 
- Cookies saving
- New options system (c-o)
- Open new windows instead of new links instances in graphics mode
- Url copying
- Full-text selection
- Simple printing
- Forward history
- Extended and configurable 'toolbar'
- Configurable 'mini-status'
- various small improvements:
  o support for "small" and "big" tags,
  o keybinding ("i") to turn on/off images,
  o possibility to show HTTP header ("|"),
  o support for compressed content
  o configurable support for Accept-Charset and Accept-Language. 
- Modularized font subsystem
- Font manager (c-i)
- Dialogs shadows and borders
- Tabbed browsing

%prep
%setup  -q -n %name-%ver
%patch7 -p1
%patch8 -p1
%patch10 -p1
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch15 -p0
%patch16 -p0 -b .lua
%patch17 -p0 -b .lua5
%patch18 -p0 -b .gcc401

chmod a+r *

%build
./autogen.sh
perl -pi -e 's!"-g!"!g' configure
cp -a %SOURCE5 .

%configure2_5x --enable-graphics --enable-javascript
(cd Unicode ; LC_ALL=C ./gen )
# even more dirty :)
perl -pi -e 's!wget xray.sai.msu.ru/\~karpov/links-hacked/downloads/links-fonts-new.tgz \&\& tar xzvf links-fonts-new.tgz!tar -jxvf links-fonts-new.tar.bz2!' Makefile{,.am,.in}

%make || :
# hacky & dirty
perl -pi -e 's!^@.*!!' utils/Makefile
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

rm -f %buildroot%{_bindir}/links
install links %buildroot%{_bindir}/%name

install -D -m 644 %SOURCE4 %buildroot/etc/links.cfg


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Links (hacked)
Comment=Lynx-like text WWW browser
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Network;WebBrowser;X-MandrivaLinux-Internet-WebBrowsers;
EOF

install -d %buildroot/%_liconsdir/
install -d %buildroot/%_miconsdir/
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_liconsdir/%name.png
# fix conflicts with links-graphic:
mv %buildroot/%_mandir/man1/{links,%name}.1

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%post
%if %mdkversion < 200900
%{update_menus}
%endif
update-alternatives --install /usr/bin/links links /usr/bin/%name 5

%postun
%if %mdkversion < 200900
%{clean_menus}
%endif
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/%name
fi

%files 
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog README SITES TODO 
%config(noreplace) /etc/links.cfg
%_bindir/%name
%_bindir/arrow
%_bindir/generate_font
%_bindir/make_included
%_bindir/rasterizer
%_mandir/*/*
%_datadir/applications/mandriva-*
#
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png






%changelog
* Mon Aug 31 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.0.031220-22mdv2010.0
+ Revision: 422969
- rebuild for new libjpeg

* Sun Aug 17 2008 Funda Wang <fundawang@mandriva.org> 0.0.031220-21mdv2009.0
+ Revision: 273055
- rebuild for new dfb

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.031220-20mdv2009.0
+ Revision: 268081
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat May 31 2008 Funda Wang <fundawang@mandriva.org> 0.0.031220-19mdv2009.0
+ Revision: 213698
- spec cleanup

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - do not harcode icon extension

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 31 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.0.031220-19mdv2008.0
+ Revision: 57161
- use fonts from links, thus fixking "Error when loading compiled-in font:
  png_do_rgb_to_gray found nongray pixel. libpng error: png_do_rgb_to_gray found
  nongray pixel"

* Tue May 29 2007 Funda Wang <fundawang@mandriva.org> 0.0.031220-18mdv2008.0
+ Revision: 32312
- Rebuild against directfb 1.0

* Mon May 28 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.0.031220-17mdv2008.0
+ Revision: 32019
- rebuild for new directfb


* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.031220-16mdv2007.0
+ Revision: 72794
- Add BuildRequire
- Add BuildRequire
- import links-hacked-0.0.031220-15mdv2007.0

* Mon Aug 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.0.031220-15mdv2007.0
- rebuild against new lua
- XDG menu

* Sat May 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.0.031220-14mdk
- rebuild against directfb-0.9.25

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.0.031220-13mdk
- rebuild against directfb-0.9.24

* Thu Nov 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.0.031220-12mdk
- rebuild against openssl0.9.8

* Wed Oct 05 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.0.031220-11mdk
- rebuild for new lua5

* Sun Jul 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-10mdk
- fix requires oin x86_64

* Sun Jul 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-9mdk
- patch 18: fix build with gcc-4.0.1
- fix build on x86_64

* Sun May 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-8mdk
- rebuild for yet another gtk+fb library

* Fri Apr 22 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-7mdk
- rebuild for new gtk+fb library
- fix buildrequires

* Tue Aug 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-6mdk
- really avoid wget during build
- rebuild with lua5
- fix bogus lua requires, aka requires a fixed lua (previously it accepted
  either lua4 or lua5 thus resulting in linkinkg issues at runtime)
- patch 16: fix detecting lua5
- patch 17: fix compiling with lua5

* Sun Aug 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.031220-5mdk
- Rebuild with new menu

* Fri Jul 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-4mdk
- patch 15: fix compiling with new g++
- rebuild w/o svgalib support

* Fri Apr 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-3mdk
- decrease alternative priority in order to please lord pixel

* Mon Dec 29 2003 Franck Villaume <fvill@freesurf.fr> 0.0.031220-2mdk
- fix some 64bits buildrequires
- avoid wget during build : patch14
- add BuildRequires for : OpenSSL, Freetype, tiff support

* Sat Dec 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.031220-1mdk
- new release

* Wed Nov 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.030709-2mdk
- patch 13: do not share anymore config file with links (conflicted options)
- fix conflicts with links-graphic

